Uses of Class
io.vertx.rxjava3.ext.web.client.HttpRequest
Packages that use HttpRequest
-
Uses of HttpRequest in io.vertx.rxjava3.ext.web.client
Fields in io.vertx.rxjava3.ext.web.client with type parameters of type HttpRequestModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<HttpRequest> HttpRequest.__TYPE_ARGMethods in io.vertx.rxjava3.ext.web.client that return HttpRequestModifier and TypeMethodDescriptionHttpRequest.addQueryParam(String paramName, String paramValue) Add a query parameter to the request.<U> HttpRequest<U> Configure the request to decode the response with theresponseCodec.HttpRequest.authentication(Credentials credentials) Configure the request to perform HTTP Authentication.HttpRequest.basicAuthentication(Buffer id, Buffer password) Configure the request to perform basic access authentication.HttpRequest.basicAuthentication(String id, String password) Configure the request to perform basic access authentication.HttpRequest.bearerTokenAuthentication(String bearerToken) Configure the request to perform bearer token authentication.HttpRequest.connectTimeout(long timeout) Sets the amount of time after which, if the request is not obtained from the client within the timeout period, the response is failed with aTimeoutException.HttpRequest.copy()Copy this requestWebClient.delete(int port, String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and port.Create an HTTP DELETE request to send to the server at the specified host and port.WebClient.delete(UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the default host and port.Create an HTTP DELETE request to send to the server at the default host and port.WebClient.delete(String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and default port.Create an HTTP DELETE request to send to the server at the specified host and default port.WebClient.deleteAbs(UriTemplate absoluteURI) Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.followRedirects(boolean value) Set whether to follow request redirectionsWebClient.get(int port, String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and port.Create an HTTP GET request to send to the server at the specified host and port.WebClient.get(UriTemplate requestURI) Create an HTTP GET request to send to the server at the default host and port.Create an HTTP GET request to send to the server at the default host and port.WebClient.get(String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and default port.Create an HTTP GET request to send to the server at the specified host and default port.WebClient.getAbs(UriTemplate absoluteURI) Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.head(int port, String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and port.Create an HTTP HEAD request to send to the server at the specified host and port.WebClient.head(UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the default host and port.Create an HTTP HEAD request to send to the server at the default host and port.WebClient.head(String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and default port.Create an HTTP HEAD request to send to the server at the specified host and default port.WebClient.headAbs(UriTemplate absoluteURI) Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responseConfigure the request to use a new hostvalue.HttpRequest.idleTimeout(long timeout) Sets the amount of time after which, if the request does not return any data within the timeout period, the request/response is closed and the related futures are failed with aTimeoutException.HttpRequest.method(HttpMethod value) Configure the request to use a new methodvalue.HttpRequest.multipartMixed(boolean allow) Allow or disallow multipart mixed encoding when sending having files sharing the same file name.static <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg) static <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T) WebClient.patch(int port, String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and port.Create an HTTP PATCH request to send to the server at the specified host and port.WebClient.patch(UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the default host and port.Create an HTTP PATCH request to send to the server at the default host and port.WebClient.patch(String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and default port.Create an HTTP PATCH request to send to the server at the specified host and default port.WebClient.patchAbs(UriTemplate absoluteURI) Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.port(int value) Configure the request to use a new portvalue.WebClient.post(int port, String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and port.Create an HTTP POST request to send to the server at the specified host and port.WebClient.post(UriTemplate requestURI) Create an HTTP POST request to send to the server at the default host and port.Create an HTTP POST request to send to the server at the default host and port.WebClient.post(String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and default port.Create an HTTP POST request to send to the server at the specified host and default port.WebClient.postAbs(UriTemplate absoluteURI) Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.proxy(ProxyOptions proxyOptions) Configure the request to set a proxy for this request.WebClient.put(int port, String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and port.Create an HTTP PUT request to send to the server at the specified host and port.WebClient.put(UriTemplate requestURI) Create an HTTP PUT request to send to the server at the default host and port.Create an HTTP PUT request to send to the server at the default host and port.WebClient.put(String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and default port.Create an HTTP PUT request to send to the server at the specified host and default port.WebClient.putAbs(UriTemplate absoluteURI) Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.putHeader(CharSequence name, CharSequence value) Configure the request to set a new HTTP header usingCharSequence.HttpRequest.putHeader(CharSequence name, Iterable<CharSequence> values) Configure the request to set a new HTTP header with multiple values usingCharSequence.Configure the request to set a new HTTP header with multiple values.Configure the request to set a new HTTP header.HttpRequest.putHeaders(MultiMap headers) Configure the request to add multiple HTTP headers .WebClient.request(HttpMethod method, int port, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and port.WebClient.request(HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at the specified host and port.WebClient.request(HttpMethod method, RequestOptions options) Deprecated.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, RequestOptions options) Deprecated.WebClient.request(HttpMethod method, SocketAddress serverAddress, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, UriTemplate requestURI) Create an HTTP request to send to the server at the default host and port.WebClient.request(HttpMethod method, String requestURI) Create an HTTP request to send to the server at the default host and port.WebClient.request(HttpMethod method, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(RequestOptions options) Create an HTTP request to send to the server from the specified requestoptions.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, UriTemplate absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, String absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, UriTemplate absoluteURI) Create an HTTP request to send to the server using an absolute URIWebClient.requestAbs(HttpMethod method, String absoluteURI) Create an HTTP request to send to the server using an absolute URIHttpRequest.routingKey(String key) Set the routing key, the routing key can be used by a Vert.x client side sticky load balancer to pin the request to a remote HTTP server.HttpRequest.setQueryParam(String paramName, String paramValue) Set a query parameter to the request.HttpRequest.setTemplateParam(String paramName, String paramValue) Set a request URI template string parameter to the request, expanded when the request URI is a .HttpRequest.setTemplateParam(String paramName, List<String> paramValue) Set a request URI template list parameter to the request, expanded when the request URI is a .HttpRequest.setTemplateParam(String paramName, Map<String, String> paramValue) Set a request URI template map parameter to the request, expanded when the request URI is a .Configure the request whether to use SSL.HttpRequest.timeout(long value) Configures the amount of time in milliseconds after which if the request does not return any data within the timeout period anTimeoutExceptionfails the request.HttpRequest.traceOperation(String traceOperation) Trace operation name override.Configure the request to use a new request URIvalue.HttpRequest.virtualHost(String value) Configure the request to use a virtual hostvalue.